ChiliProject - Bug # 400: Review and fix the Activity event types

Status: Closed Priority: Normal

Author: Eric Davis Category: Journals / History
Created: 2011-05-13 Assignee: Felix Schéfer
Updated: 2011-05-20 Due date:

Remote issue URL:

Affected version: unstable

Description: From Felix on #123

> [B] One change I've noticed: the event types (used to display the icons on the activity list) are now object-
and not event/journal-bound (a closed issue will return the issue-closed type for all its events, including past
ones in which the issue was still open) and some are missing (issue-note/"a new issue note without issue
edit" and issue-edit/"an issue edit" at least).

Associated revisions

2011-05-20 10:51 pm - Felix SchAxfer

[#400] Fix the event types (icons on activity and search views).

2011-05-20 11:22 pm - Eric Davis
[#400] Fix some tests broken by 6656103

2011-05-20 11:23 pm - Eric Davis
[#400] Refactor old assert_tag to assert_select

History

2011-05-13 10:54 pm - Felix Schéafer
- Target version set to 2.0.0

https://github.com/finnlabs/chiliproject/commit/6131df3935cae773c9495c39519f7f5edec6683e fixes this, it has 2 parts:

* the change in @acts_as_journalized.rb@ restores the @event_type@ to the journalized model, not the journal model associated to it (as aaj calls
@acts_as_event@, the later would recognize the @ModelJournal@ model as being the event, not the @Model@ itself, hence the explicit default in
aaj),

* the change in @app/models/issue.rb@ restores the previous behavior of:

** on issue note without editing the issue metadata, the event type is @issue-note@,

** on issue edit without a change to a closed status, the event type is @issue-edit@,

** on issue edit with a change to a closed status, the event type is @issue-closed@,

** else the event type is @issue@.

(please note that this is not exactly the previous behavior, as the previous behavior was the event type set to @issue@ for all issue events (i.e. non
note or metadata edit event, meaning the creation event) when the issue is still open an @issue-closed@ on all issue events when the issue is closed)

2011-05-19 09:43 pm - Felix Schéafer
- Status changed from Open to Ready for review

This is ready for review.

2011-05-20 03:47 pm - Eric Davis
Felix SchAefer wrote:
> (please note that this is not exactly the previous behavior, as the previous behavior was the event type set to @issue@ for all issue events (i.e. non
note or metadata edit event, meaning the creation event) when the issue is still open an @issue-closed@ on all issue events when the issue is closed)

| think this is a better behavior. The activity page was difficult to use in order to see what types of changes happened. By separating them out into more

options, hopefully it will be clearer.

I'll see if | can review it today.

2011-05-20 09:24 pm - Eric Davis
- Assignee set to Felix Schéafer

- Status changed from Ready for review to Closed

Merged along with some test fixes in commit:6e105a7
